com.google.gwt.xml.client

## Interface ProcessingInstruction

All Superinterfaces:
  Node

    public interface ProcessingInstruction
    extends Node

This interface documents the ProcessingInstruction node type. For example,

    <?xml-stylesheet href="mystyle.css" type="text/css"?>

### Field Summary

### Fields inherited from interface com.google.gwt.xml.client.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getData()` This method retrieves the data.
`java.lang.String` `getTarget()` This method retrieves the target.
`void` `setData(java.lang.String data)` This method sets the data to `data`.

### Methods inherited from interface com.google.gwt.xml.client.Node

`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue`

### Method Detail

#### getData

    java.lang.String getData()

This method retrieves the data.

Returns:
  the data of this `ProcessingInstruction`

#### getTarget

    java.lang.String getTarget()

This method retrieves the target.

Returns:
  the target of this `ProcessingInstruction`

#### setData

    void setData(java.lang.String data)

This method sets the data to `data`.

Parameters:
  `data` - the new data